## GtefGutterRendererFolds GtefGutterRendererFolds — Basic gutter renderer for code folding |

## Functions

GtkSourceGutterRenderer * | gtef_gutter_renderer_folds_new ()
void | gtef_gutter_renderer_folds_set_state ()

## Types and Values

| GtefGutterRendererFolds
enum | GtefGutterRendererFoldsState

## Object Hierarchy

        GFlags
        ╰── GtefGutterRendererFoldsState
        GObject
        ╰── GInitiallyUnowned
            ╰── GtkSourceGutterRenderer
                ╰── GtefGutterRendererFolds

## Includes

    #include <gtef/gtef.h>

## Description

GtefGutterRendererFolds is a basic gutter renderer for code folding. It handles only the drawing, and has a flat view of the folding tree.

## Functions

### gtef_gutter_renderer_folds_new ()

    GtkSourceGutterRenderer *
    gtef_gutter_renderer_folds_new (void);

#### Returns

a new GtefGutterRendererFolds.

Since: 1.0

### gtef_gutter_renderer_folds_set_state ()

    void
    gtef_gutter_renderer_folds_set_state (GtefGutterRendererFolds *self,
                                          GtefGutterRendererFoldsState state);

Sets the folding state of the next cell to be drawn.

This function is intended to be called from a subclass' draw method before chaining-up to its parent's draw method.

#### Parameters

self | a GtefGutterRendererFolds. |
state | a GtefGutterRendererFoldsState. |

Since: 1.0

## Types and Values

### GtefGutterRendererFolds

    typedef struct _GtefGutterRendererFolds GtefGutterRendererFolds;

### enum GtefGutterRendererFoldsState

The folding state at a certain line in the GtkTextBuffer.

Since GtefGutterRendererFolds has a flat view of the folding tree, some states can be combined; for example, `GTEF_GUTTER_RENDERER_FOLDS_STATE_END` and `GTEF_GUTTER_RENDERER_FOLDS_STATE_CONTINUE`.

#### Members

GTEF_GUTTER_RENDERER_FOLDS_STATE_NONE | No code folding here. |
GTEF_GUTTER_RENDERER_FOLDS_STATE_START_FOLDED | Start of currently folded fold region. |
GTEF_GUTTER_RENDERER_FOLDS_STATE_START_OPENED | Start of currently opened fold region. |
GTEF_GUTTER_RENDERER_FOLDS_STATE_CONTINUE | Fold region continues. |
GTEF_GUTTER_RENDERER_FOLDS_STATE_END | End of fold region. |

Since: 1.0